#include <stdio.h>

int main(void) {
  char filename[] = "sample.txt";
  char buf[256];
  
  FILE *fp = fopen(filename, "r");
  if(fp == NULL) {
    perror(filename);
    return 1;
  }
  for(;;) {
    if(fgets(buf, 256, fp) == NULL) {
      if(ferror(fp)) { 
        perror(filename); 
        fclose(fp);
        return 1;
      }
      break;
    }
    fputs(buf, stdout);
  }
  fclose(fp);
  if(ferror(fp)) {
    perror(filename);
    fclose(fp);
    return 1;
  }
  puts("Successfully Done!");
  fclose(fp);
  return 0;
}
