#include <stdio.h>

int main(void) {
  char filename[] = "sample.txt";
  char buf[256];

  FILE *fp = fopen(filename, "r");
  if(fp == NULL) goto error;
  for(;;) {
    if(fgets(buf, 256, fp) == NULL) {
      if(ferror(fp)) goto error;
      break;
    }
    fputs(buf,stdout);
  }
  fclose(fp);
  if(ferror(fp)) goto error;
  puts("Successfully Done!");
  fclose(fp);
  return 0;

error:
  perror(filename);
  if(fp != NULL) fclose(fp);
  return 1;
}
